---
title: List abuse reports against the account
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Abuse Reports](https://developers.cloudflare.com/api/python/resources/abuse_reports)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List abuse reports against the account

abuse\_reports.list(AbuseReportListParams\*\*kwargs) -> SyncV4PagePagination\[Optional\[AbuseReportListResponse]]

GET/accounts/{account\_id}/abuse-reports

List abuse reports made against domains or other content associated with the account. To list reports that the account submitted, use the submitted abuse reports endpoint instead.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Trust and Safety Write``Trust and Safety Read`

##### ParametersExpand Collapse

account\_id: str

maxLength32

[Link to this property](<#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

created\_after: Optional\[str]

Returns reports created after the specified date

[Link to this property](<#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20created_after%20%3E%20(schema)>)

created\_before: Optional\[str]

Returns reports created before the specified date

[Link to this property](<#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20created_before%20%3E%20(schema)>)

domain: Optional\[str]

Filter by domain name related to the abuse report

[Link to this property](<#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20domain%20%3E%20(schema)>)

<details>

<summary>

mitigation\_status: Optional\[Literal\["pending", "active", "in\_review", 2 more]]

Filter reports that have any mitigations in the given status.

</summary>

One of the following:

"pending"

<a href="#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20mitigation_status%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"active"

<a href="#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20mitigation_status%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

"in\_review"

<a href="#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20mitigation_status%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

"cancelled"

<a href="#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20mitigation_status%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

"removed"

<a href="#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20mitigation_status%20%3E%20(schema)%20%3E%20(member)%204">Link to this property</a>

</details>

[Link to this property](<#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20mitigation_status%20%3E%20(schema)>)

page: Optional\[int]

Where in pagination to start listing abuse reports

[Link to this property](<#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20page%20%3E%20(schema)>)

per\_page: Optional\[int]

How many abuse reports per page to list

[Link to this property](<#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20per_page%20%3E%20(schema)>)

sort: Optional\[str]

A property to sort by, followed by the order (id, cdate, domain, type, status)

[Link to this property](<#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sort%20%3E%20(schema)>)

<details>

<summary>

status: Optional\[Literal\["accepted", "in\_review"]]

Filter by the status of the report.

</summary>

One of the following:

"accepted"

<a href="#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"in\_review"

<a href="#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

[Link to this property](<#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)>)

<details>

<summary>

type: Optional\[Literal\["PHISH", "GEN", "THREAT", 6 more]]

Filter by the type of the report.

</summary>

One of the following:

"PHISH"

<a href="#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"GEN"

<a href="#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

"THREAT"

<a href="#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

"DMCA"

<a href="#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

"EMER"

<a href="#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%204">Link to this property</a>

"TM"

<a href="#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%205">Link to this property</a>

"REG\_WHO"

<a href="#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%206">Link to this property</a>

"NCSEI"

<a href="#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%207">Link to this property</a>

"NETWORK"

<a href="#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)%20%3E%20(member)%208">Link to this property</a>

</details>

[Link to this property](<#(resource)%20abuse_reports%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20type%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class AbuseReportListResponse: …

</summary>

<details>

<summary>

reports: List\[Report]

</summary>

id: str

Public facing ID of abuse report, aka abuse\_rand.

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

cdate: str

Creation date of report. Time in RFC 3339 format (<a href="https://www.rfc-editor.org/rfc/rfc3339.html">https://www.rfc-editor.org/rfc/rfc3339.html</a>)

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20cdate">Link to this property</a>

domain: str

Domain that relates to the report.

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20domain">Link to this property</a>

<details>

<summary>

mitigation\_summary: ReportMitigationSummary

A summary of the mitigations related to this report.

</summary>

accepted\_url\_count: int

How many of the reported URLs were confirmed as abusive.

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20mitigation_summary%20%3E%20(property)%20accepted_url_count">Link to this property</a>

active\_count: int

How many mitigations are active.

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20mitigation_summary%20%3E%20(property)%20active_count">Link to this property</a>

external\_host\_notified: bool

Whether the report has been forwarded to an external hosting provider.

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20mitigation_summary%20%3E%20(property)%20external_host_notified">Link to this property</a>

in\_review\_count: int

How many mitigations are under review.

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20mitigation_summary%20%3E%20(property)%20in_review_count">Link to this property</a>

pending\_count: int

How many mitigations are pending their effective date.

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20mitigation_summary%20%3E%20(property)%20pending_count">Link to this property</a>

</details>

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20mitigation_summary">Link to this property</a>

<details>

<summary>

status: Literal\["accepted", "in\_review"]

An enum value that represents the status of an abuse record

</summary>

One of the following:

"accepted"

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

"in\_review"

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20status">Link to this property</a>

<details>

<summary>

type: Literal\["PHISH", "GEN", "THREAT", 6 more]

The abuse report type

</summary>

One of the following:

"PHISH"

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

"GEN"

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

"THREAT"

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20type%20%3E%20(member)%202">Link to this property</a>

"DMCA"

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20type%20%3E%20(member)%203">Link to this property</a>

"EMER"

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20type%20%3E%20(member)%204">Link to this property</a>

"TM"

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20type%20%3E%20(member)%205">Link to this property</a>

"REG\_WHO"

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20type%20%3E%20(member)%206">Link to this property</a>

"NCSEI"

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20type%20%3E%20(member)%207">Link to this property</a>

"NETWORK"

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20type%20%3E%20(member)%208">Link to this property</a>

</details>

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20type">Link to this property</a>

justification: Optional\[str]

Justification for the report.

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20justification">Link to this property</a>

original\_work: Optional\[str]

Original work / Targeted brand in the alleged abuse.

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20original_work">Link to this property</a>

<details>

<summary>

submitter: Optional\[ReportSubmitter]

Information about the submitter of the report.

</summary>

company: Optional\[str]

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20submitter%20%3E%20(property)%20company">Link to this property</a>

email: Optional\[str]

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20submitter%20%3E%20(property)%20email">Link to this property</a>

name: Optional\[str]

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20submitter%20%3E%20(property)%20name">Link to this property</a>

telephone: Optional\[str]

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20submitter%20%3E%20(property)%20telephone">Link to this property</a>

</details>

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20submitter">Link to this property</a>

urls: Optional\[List\[str]]

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports%20%3E%20(items)%20%3E%20(property)%20urls">Link to this property</a>

</details>

<a href="#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)%20%3E%20(property)%20reports">Link to this property</a>

</details>

[Link to this property](<#(resource)%20abuse_reports%20%3E%20(model)%20abuse_report_list_response%20%3E%20(schema)>)

### List abuse reports against the account

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.abuse_reports.list(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result.items[0]
print(page.reports)
```

200 example

```
{
  "success": true,
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "reports": [
      {
        "id": "id",
        "cdate": "2009-11-10T23:00:00Z",
        "domain": "domain",
        "mitigation_summary": {
          "accepted_url_count": 0,
          "active_count": 0,
          "external_host_notified": true,
          "in_review_count": 0,
          "pending_count": 0
        },
        "status": "accepted",
        "type": "PHISH",
        "justification": "justification",
        "original_work": "original_work",
        "submitter": {
          "company": "company",
          "email": "email",
          "name": "name",
          "telephone": "telephone"
        },
        "urls": [
          "string"
        ]
      }
    ]
  },
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}
```

##### Returns Examples

200 example

```
{
  "success": true,
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "reports": [
      {
        "id": "id",
        "cdate": "2009-11-10T23:00:00Z",
        "domain": "domain",
        "mitigation_summary": {
          "accepted_url_count": 0,
          "active_count": 0,
          "external_host_notified": true,
          "in_review_count": 0,
          "pending_count": 0
        },
        "status": "accepted",
        "type": "PHISH",
        "justification": "justification",
        "original_work": "original_work",
        "submitter": {
          "company": "company",
          "email": "email",
          "name": "name",
          "telephone": "telephone"
        },
        "urls": [
          "string"
        ]
      }
    ]
  },
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}
```